hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benoy Antony (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10391) HADOOP-10211 change for comma-separated list of QOP values broke backwards-compatibility with existing configs.
Date Fri, 07 Mar 2014 00:32:45 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10391?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13923314#comment-13923314
] 

Benoy Antony commented on HADOOP-10391:
---------------------------------------

Just reviewed [~daryn]'s comments.  Please let me know if I need to add the patch.

> HADOOP-10211 change for comma-separated list of QOP values broke backwards-compatibility
with existing configs.
> ---------------------------------------------------------------------------------------------------------------
>
>                 Key: HADOOP-10391
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10391
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: security
>    Affects Versions: 2.4.0
>            Reporter: Chris Nauroth
>            Assignee: Benoy Antony
>            Priority: Blocker
>
> HADOOP-10211 changed parsing of QOP values to support a comma-separated list.  This change
accidentally broke backwards-compatibility with existing configs.  Previously, an unrecognized
value caused it to default to authentication.  Now, an unrecognized value causes {{IllegalArgumentException}}.
 Some deployments had been using a value of "none" in insecure clusters, so the change would
break those existing deployments.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message